- Resource: WebhookSubscription
- State
- WebhookAuthConfig
- BasicAuth
- SecretSource
- ApiKeyAuth
- BearerTokenAuth
- Methods
Resource: WebhookSubscription
A webhook subscription configured for a brand to receive real-time event notifications.
| JSON representation |
|---|
{ "name": string, "displayName": string, "state": enum ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the webhook subscription. Format: |
displayName |
Optional. Human-readable display name for this webhook subscription. |
state |
Optional. The current state of the webhook subscription. Users may transition a subscription between |
eventTypes[] |
Required. Event types that trigger this webhook subscription (e.g., |
destinationUrl |
Required. The HTTPS endpoint URL where webhook events are delivered via HTTP POST. |
filter |
Optional. Common Expression Language (CEL) filter expression evaluated against event attributes (e.g., |
authConfig |
Optional. Authentication configuration for outbound webhook deliveries. |
createTime |
Output only. The time this webhook subscription was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. The time this webhook subscription was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
State
Lifecycle state of the webhook subscription.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Unspecified state. |
ACTIVE |
The subscription is active and receiving webhook event deliveries. |
PAUSED |
The subscription has been paused by the user and will not receive events until re-activated. |
SUSPENDED |
The subscription has been automatically suspended by the platform circuit breaker due to repeated delivery failures. |
WebhookAuthConfig
Authentication configuration for outbound webhook deliveries.
| JSON representation |
|---|
{ // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "basicAuth": { object ( |
| Fields | |
|---|---|
| The authentication method to use when dispatching webhook requests. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
basicAuth |
Optional. Configuration for HTTP Basic authentication. |
apiKeyAuth |
Optional. Configuration for API key / custom header authentication. |
bearerTokenAuth |
Optional. Configuration for Bearer token authentication. |
| End of mutually exclusive fields. | |
BasicAuth
HTTP Basic Authentication (Authorization: Basic <base64(user:pass)>).
| JSON representation |
|---|
{
"credential": {
object ( |
| Fields | |
|---|---|
credential |
Required. Secret containing the colon-separated basic auth credential in |
SecretSource
Reference to a secret value used for webhook authentication.
| JSON representation |
|---|
{ // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "secretVersion": string // End of mutually exclusive fields. } |
| Fields | |
|---|---|
| The backing store for the secret value. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
secretVersion |
Optional. The name of the Secret Manager secret version resource storing the secret value. Format: Note: You must grant the |
| End of mutually exclusive fields. | |
ApiKeyAuth
API Key / Custom Header Authentication (<header>: <secret_value>).
| JSON representation |
|---|
{
"header": string,
"apiKey": {
object ( |
| Fields | |
|---|---|
header |
Required. The HTTP header to populate (e.g., "X-API-Key"). |
apiKey |
Required. Secret containing the API key or header value. |
BearerTokenAuth
Bearer Token Authentication (Authorization: Bearer <token>).
| JSON representation |
|---|
{
"token": {
object ( |
| Fields | |
|---|---|
token |
Required. Secret containing the bearer token. |
Methods |
|
|---|---|
|
Creates a webhook subscription. |
|
Deletes the specified webhook subscription. |
|
Gets a webhook subscription. |
|
Lists webhook subscriptions for a brand. |
|
Updates the specified webhook subscription. |